Bug 874543 - Starting application on non-active workspace doesn't work correctly
Starting application on non-active workspace doesn't work correctly
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-08 07:16 EST by Petr Schindler
Modified: 2014-02-05 07:54 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:54:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Schindler 2012-11-08 07:16:00 EST
Description of problem:
This problem seems to appear only when using two monitors (laptop with monitor connected).

When I drag&drop application to an empty workspace (in activities menu) this application starts on active (current) workspace instead.

For example, when I have one workspace with application active. I go to activities drag&drop new app to empty workspace, new workspace is created on the bottom. But workspace, where I put app disappears and app is started on active (used) workspace.

Version-Release number of selected component (if applicable):
gnome-shell-3.6.1-3.fc18.x86_64

How reproducible:
always

Steps to Reproduce:
1. Go to activities
2. drag&drop some app on empty workspace
  
Actual results:
application is started on the active workspace

Expected results:
application is started on workspace where I put it

Additional info:
Comment 1 Gerard Ryan 2012-11-08 20:07:53 EST
This is possibly a different bug, but I'm getting mixed results with dragging applications to non-current workspaces.

Some applications work fine (e.g. gnome-terminal, xchat) - multiple instances can be opened on different workspaces by dragging from the dash.

Other applications always open in active workspace (filezilla, hotot).

Nautilus is an even odder case: the first instance of it opens on the expected workspace (the one that it's dragged to), but all subsequent attempts to create new nautilus windows on inactive workspaces will result in the new window being created and added to the active workspace.
Comment 2 Gerard Ryan 2012-11-08 20:12:43 EST
This is possibly a different bug, but I'm getting mixed results with dragging applications to non-current workspaces.

Some applications work fine (e.g. gnome-terminal, xchat) - multiple instances can be opened on different workspaces by dragging from the dash.

Other applications always open in active workspace (filezilla, hotot).

Nautilus is an even odder case: the first instance of it opens on the expected workspace (the one that it's dragged to), but all subsequent attempts to create new nautilus windows on inactive workspaces will result in the new window being created and added to the active workspace.
Comment 3 Fedora End Of Life 2013-12-21 04:19:03 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2014-02-05 07:54:45 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.